# Gimp.Procedure.prototype.run

    function run(config: Gimp.ProcedureConfig): Gimp.ValueArray {
        // Gjs wrapper for gimp_procedure_run_config()
    }

Runs procedure, calling the run_func given in [ctor@Procedure.new].

Create config at default values with [method@Gimp.Procedure.create_config] then set any argument you wish to change from defaults with [method@GObject.Object.set].

If config is null, the default arguments of procedure will be used.

Since 3.0

config

  the procedure's arguments.

Returns

  The procedure's return values.